var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconLineChartComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-line-chart").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 20 20" }, rest, { ref: ref }),
        React.createElement("path", { d: "M5.833 15.417v1.666c0 .46.373.834.834.834h6.666c.46 0 .834-.373.834-.834v-1.666H5.833Z", opacity: ".5" }),
        React.createElement("path", { fillRule: "evenodd", d: "M2.5 2.083a.833.833 0 0 0-.833.834v11.666c0 .46.373.834.833.834h15c.46 0 .834-.373.834-.834V2.917a.833.833 0 0 0-.834-.834h-15Zm7.021 2.73a.208.208 0 0 0-.367-.015L7.04 8.42H4.974a.208.208 0 0 0-.209.208v1.25c0 .115.094.208.209.208h3.024l1.214-2.08 2.18 4.517c.066.138.254.16.35.04l1.976-2.477h1.308a.208.208 0 0 0 .209-.208v-1.25a.208.208 0 0 0-.209-.208h-2.11l-1.03 1.291-2.365-4.9Z", clipRule: "evenodd" }));
}
var IconLineChart = React.forwardRef(IconLineChartComponent);
export default IconLineChart;
